View Issue Details

IDProjectCategoryView StatusLast Update
0005254Talerexchange API (HTTP specification)public2018-04-15 20:33
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005254: expose more exchange configuration details via API
DescriptionIn particular, the merchant's tip-authorize function would like to know the "exchangedb"'s option for "idle_reserve_expiration_time", and right now there is no way for it to find out what that is other than guessing/manual configuration.
TagsNo tags attached.

Activities

Christian Grothoff

2018-01-18 16:55

manager   ~0012803

Speced in 830f60f..e9c690e

Christian Grothoff

2018-01-18 16:56

manager   ~0012804

Exchange implementation in 63c96a1..5c3d25e

Christian Grothoff

2018-01-18 17:01

manager   ~0012805

4f2901f..fa3662a makes use of the new API in the merchant backend.

Issue History

Date Modified Username Field Change
2018-01-15 14:58 Christian Grothoff New Issue
2018-01-15 14:58 Christian Grothoff Status new => assigned
2018-01-15 14:58 Christian Grothoff Assigned To => Christian Grothoff
2018-01-15 15:59 Christian Grothoff Target Version 0.7 => 0.5
2018-01-18 16:55 Christian Grothoff Note Added: 0012803
2018-01-18 16:56 Christian Grothoff Note Added: 0012804
2018-01-18 17:01 Christian Grothoff Status assigned => resolved
2018-01-18 17:01 Christian Grothoff Resolution open => fixed
2018-01-18 17:01 Christian Grothoff Fixed in Version => 0.5
2018-01-18 17:01 Christian Grothoff Note Added: 0012805
2018-04-15 20:33 Christian Grothoff Status resolved => closed